Subject: bug#28776: guix system reconfigure does not update path to nginx configuration

From: Oleg Pykhalov <[email-masked]>
Date: Tue, 10 Oct 2017 13:58:46 +0300

Hello Clement,

Clément Lassieur <[email-masked]> writes:

> Oleg Pykhalov <[email-masked]> writes:
>
>> After changing config.scm, herd restarts NGINX with previous (on boot)
>> configuration (checked with ps).  So to apply a new NGINX configuration
>> to a system, reboot is required.
>
> Quoting Ludovic from:
> https://lists.gnu.org/archive/html/guix-patches/2017-05/msg00669.html
>
> Currently ‘guix system reconfigure’ (specifically
> ‘upgrade-shepherd-services’) reloads and starts all services that are
> currently stopped, on the grounds that it would not be safe/desirable to
> simply stop any running service.
>
> So if you want NGINX to start with its new configuration, you need to
> stop it before doing the 'guix system reconfigure'.

Thank you for giving a direction!  I actually tried to make 'sudo herd
restart nginx' after reconfigure,  but apparently it's wrong.

I'm not sure if we need to close this bug.  It wasn't obvious to
me that it related to subject “Allow services to implement a 'reload'
action”, because I tried to reload it manually :-)